#!/usr/bin/env python3

from setuptools import setup


__version__ = "0.0.0"


setup(name='photoapp',
      version=__version__,
      description='Photo library application',
      url='',
      author='dpedu',
      author_email='dave@davepedu.com',
      packages=['photoapp'],
      install_requires=[],
      entry_points={
          "console_scripts": [
              "photoappd = photoapp.daemon:main",
              "photothumbd = photoapp.thumbserver:main",
              "photoinfo = photoapp.image:main",
              "photousers = photoapp.users:main",
              "photocli = photoapp.cli:main",
              # "photoimport = photoapp.ingest:main",  # broken for now
              # "photovalidate = photoapp.validate:main",
              # "photooffset = photoapp.dateoffset:main",
          ]
      },
      include_package_data=True,
      package_data={'photoapp': ['../templates/*.html',
                                 '../templates/fragments/*.html',
                                 '../styles/dist/*',
                                 '../assets/img/*']},
      zip_safe=False)
